{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.desktop.media;

in {

  options.features.desktop.media.enable =
    mkEnableOption "enable media features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      ffmpeg
      fractal
      gphoto2
      handbrake
      libsForQt5.kdenlive
      makemkv
      mpv
      obs-studio
      plexamp
      uxplay
      vlc
      webcord
      youtube-dl
    ];
  };
}
