{ config, pkgs, ... }: {
  imports = [
    ./base
    ../../features/cli
    ../../features/desktop/plasma.nix
    ../../features/services
  ];

  features = {
    cli = {
      fish.enable = true;
      starship.enable = true;
    };
    services = {
      netbird.enable = true;
    };
  };

  home.stateVersion = "22.11";
}
