{ pkgs, ... }: {
  services.emacs.enable = true;
  programs.emacs = { # 310
    enable = true;
    extraPackages = epkgs: [
      epkgs.all-the-icons
      epkgs.all-the-icons-dired
      epkgs.calfw
      epkgs.calfw-org
      epkgs.calfw-ical
      epkgs.command-log-mode
      epkgs.company
      epkgs.company-box
      epkgs.consult
      epkgs.counsel
      epkgs.counsel-projectile
      epkgs.consult-org-roam
      epkgs.dart-mode
      epkgs.dashboard
      epkgs.deft
      epkgs.dired-hide-dotfiles
      epkgs.dired-open
      epkgs.dired-single
      epkgs.direnv
      epkgs.docker
      epkgs.docker-compose-mode
      epkgs.dockerfile-mode
      epkgs.docker-tramp
      epkgs.doom-themes
      epkgs.doom-modeline
      epkgs.elfeed
      epkgs.elfeed-web
      epkgs.elfeed-tube
      epkgs.elfeed-tube-mpv
      epkgs.elfeed-org
      epkgs.embark
      epkgs.embark-consult
      epkgs.ement
      epkgs.emmet-mode
      epkgs.envrc
      epkgs.evil
      epkgs.evil-collection
      epkgs.evil-lispy
      epkgs.evil-nerd-commenter
      epkgs.exec-path-from-shell
      epkgs.forge
      epkgs.fontawesome
      epkgs.general
      epkgs.geiser
      epkgs.geiser-guile
      epkgs.flycheck-guile
      epkgs.go-mode
      epkgs.graphql-mode
      epkgs.helpful
      epkgs.helm
      epkgs.helm-lsp
      epkgs.helm-descbinds
      epkgs.helm-rg
      epkgs.helm-c-yasnippet
      epkgs.highlight-indent-guides
      epkgs.hydra
      epkgs.ivy
      epkgs.ivy-prescient
      epkgs.ivy-rich
      epkgs.json-mode
      #epkgs.khalel
      epkgs.lispy
      epkgs.lsp-dart
      epkgs.lsp-ivy
      epkgs.lsp-mode
      epkgs.lsp-ui
      epkgs.lsp-treemacs
      epkgs.magit
      epkgs.marginalia
      epkgs.mastodon
      epkgs.mermaid-mode
      epkgs.nix-mode
      epkgs.no-littering
      epkgs.ob-mermaid
      epkgs.org
      epkgs.org-auto-tangle
      epkgs.org-bullets
      epkgs.org-download
      epkgs.org-gcal
      epkgs.org-ql
      epkgs.org-present
      epkgs.org-roam
      epkgs.org-roam-ui
      epkgs.pass
      epkgs.pdf-tools
      epkgs.projectile
      epkgs.pyenv-mode
      epkgs.python-mode
      epkgs.rainbow-delimiters
      epkgs.request
      epkgs.restclient
      epkgs.rustic
      epkgs.smartparens
      epkgs.sqlite3
      epkgs.svelte-mode
      epkgs.todoist
      epkgs.typescript-mode
      epkgs.use-package
      epkgs.visual-fill-column
      epkgs.vue-mode
      epkgs.vterm
      epkgs.web-mode
      epkgs.which-key
      epkgs.yasnippet
      epkgs.yasnippet-snippets
      epkgs.zetteldeft
    ];
  };
}
