{ stdenv, lib, fetchFromGitHub, bash, pkgs, makeWrapper }:

with lib;

stdenv.mkDerivation {
  pname = "wofi-pass";
  version = "0.1";
  src = fetchFromGitHub {
    owner = "TinfoilSubmarine";
    repo = "wofi-pass";
    rev = "869c545";
    sha256 = "gcfW8E/3/dqv0P3S4z9fDv8k4R7czcIKwpo/OHFFWj0=";
  };
  buildInputs = [ bash ];
  
  nativeBuildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out/bin
    cp wofi-pass $out/bin/wofi-pass
    wrapProgram $out/bin/wofi-pass \
      --prefix PATH : ${makeBinPath [ bash ]}
  '';
}
